package com.app.brush.guitar.ink.ballad

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import androidx.room.Update
import com.app.brush.guitar.ink.drama.DichotomyDetails

@Dao
interface Curiosity {
    @Insert(onConflict = OnConflictStrategy.Companion.IGNORE)
    suspend fun insertData(data: DichotomyDetails): Long

    @Query("select * from DichotomyDetails ")
     fun queryAllLike(): LiveData<List<DichotomyDetails?>?>



    @Query("select * from DichotomyDetails  where titleName = :title ")
    suspend fun queryIsLike(title: String ): DichotomyDetails?


    @Delete
    suspend fun delete(data: DichotomyDetails)

    @Update
    suspend fun updateLike(data: DichotomyDetails)
}